[Thunderbird, OSX 10.6] Intermittent "test_bug325418.js | test failed (with xpcshell return code: 0)" + "TEST-UNEXPECTED-FAIL | undefined | 2 == true"

VERIFIED FIXED in Firefox 13

Status

()

Core
XPCOM
VERIFIED FIXED
6 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

({intermittent-failure})

Trunk
mozilla14
x86_64
Mac OS X
intermittent-failure
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox11 wontfix, firefox12 wontfix, firefox13 fixed)

Details

(URL)

Attachments

(3 attachments, 1 obsolete attachment)

(Assignee)

Description

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1332773443.1332778348.25322.gz
MacOSX 10.6 comm-central test xpcshell on 2012/03/26 07:50:43
s: tb2-darwin10-slave60

http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1333064813.1333069752.32654.gz
MacOSX 10.6 comm-central test xpcshell on 2012/03/29 16:46:53
s: tb2-darwin10-slave61
{
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js | test failed (with xpcshell return code: 0), see following log:
>>>>>>>

TEST-INFO | (xpcshell/head.js) | test 1 pending

TEST-INFO | (xpcshell/head.js) | test 2 pending

TEST-INFO | (xpcshell/head.js) | test 2 finished

TEST-INFO | (xpcshell/head.js) | running event loop

TEST-UNEXPECTED-FAIL | undefined | 2 == true - See following stack:
JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/head.js :: do_throw :: line 462
JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/head.js :: _do_check_eq :: line 556
JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/head.js :: do_check_eq :: line 577
JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/head.js :: do_check_true :: line 591
JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js :: <TOP_LEVEL> :: line 14

TEST-INFO | (xpcshell/head.js) | exiting test
<<<<<<<
}
(Assignee)

Comment 1

6 years ago
Created attachment 610850 [details] [diff] [review]
(Av1) Fix multiple issues in test_bug325418.js
[Checked in: Comments 3 and 19]
Attachment #610850 - Flags: review?(bzbarsky)
Comment on attachment 610850 [details] [diff] [review]
(Av1) Fix multiple issues in test_bug325418.js
[Checked in: Comments 3 and 19]

r=me
Attachment #610850 - Flags: review?(bzbarsky) → review+
(Assignee)

Comment 3

5 years ago
Comment on attachment 610850 [details] [diff] [review]
(Av1) Fix multiple issues in test_bug325418.js
[Checked in: Comments 3 and 19]

https://hg.mozilla.org/mozilla-central/rev/da0d07b5ca1e


[Approval Request Comment]
Regression caused by (bug #): Bug 325418.
User impact if declined:  None, but (random-orange on) broken(!) test.
Testing completed (on m-c, etc.): This comment.
Risk to taking this patch (and alternatives if risky): None, test-only.
String changes made by this patch: None.
Attachment #610850 - Attachment description: (Av1) Fix multiple issues in test_bug325418.js → (Av1) Fix multiple issues in test_bug325418.js [Checked in: Comment 3]
Attachment #610850 - Flags: approval-mozilla-beta?
Attachment #610850 - Flags: approval-mozilla-aurora?
(Assignee)

Updated

5 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Flags: in-testsuite+
Resolution: --- → FIXED

Comment 4

5 years ago
Comment on attachment 610850 [details] [diff] [review]
(Av1) Fix multiple issues in test_bug325418.js
[Checked in: Comments 3 and 19]

[Triage Comment]
Test-only fix. Approved for Aurora 13 and Beta 12.
Attachment #610850 - Flags: approval-mozilla-beta?
Attachment #610850 - Flags: approval-mozilla-beta+
Attachment #610850 - Flags: approval-mozilla-aurora?
Attachment #610850 - Flags: approval-mozilla-aurora+
(Assignee)

Updated

5 years ago
Keywords: checkin-needed
Whiteboard: [orange] → [c-n: da0d07b5ca1e to m-a and m-b] [orange]
(Assignee)

Comment 5

5 years ago
Created attachment 613464 [details] [diff] [review]
(Bv1) Convert test_bug325418.js file to LF end-of-lines, Fix nsITimer.idl documentation
[Checked in: Comment 12]
Attachment #613464 - Flags: review?(bzbarsky)
Comment on attachment 613464 [details] [diff] [review]
(Bv1) Convert test_bug325418.js file to LF end-of-lines, Fix nsITimer.idl documentation
[Checked in: Comment 12]

r=me
Attachment #613464 - Flags: review?(bzbarsky) → review+
(Assignee)

Comment 7

5 years ago
Created attachment 613466 [details] [diff] [review]
(Cv1) test_bug325418.js: Further improvements to reduce/diagnose random (too long delay) failures

Patch A did not fully fix this "orange":

http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1333900948.1333905770.17458.gz
MacOSX 10.6 comm-central test xpcshell on 2012/04/08 09:02:28
s: tb2-darwin10-slave62
{
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js | test failed (with xpcshell return code: 0), see following log:

TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js | 3 == 1 - See following stack:

JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js :: observeTC :: line 16
}

***

Here is a patch which should help further,
though I wonder whether it's a (random) box (slowness) issue :-|
Attachment #613466 - Flags: review?(bzbarsky)
Comment on attachment 613466 [details] [diff] [review]
(Cv1) test_bug325418.js: Further improvements to reduce/diagnose random (too long delay) failures

Please describe the actual changes made in your checkin comment.  That would have the side benefit of letting me know what you're trying to accomplish, exactly.
Attachment #613466 - Flags: review?(bzbarsky) → review-
(Assignee)

Comment 9

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1333939806.1333944991.7137.gz
MacOSX 10.6 comm-central test xpcshell on 2012/04/08 19:50:06
s: tb2-darwin10-slave62
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js | 3 == 1 - See following stack:


http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1334011952.1334017314.10437.gz
MacOSX 10.6 comm-central test xpcshell on 2012/04/09 15:52:32
s: tb2-darwin10-slave60
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js | 3 == 1 - See following stack:
(Assignee)

Comment 10

5 years ago
Comment on attachment 613466 [details] [diff] [review]
(Cv1) test_bug325418.js: Further improvements to reduce/diagnose random (too long delay) failures

*"Duplicate" observer, just in (unlikely) case the first timer would be firing.
*Init gStartTime[12] later, to reduce the recorded delay a bit.
*Use Date.now() instead of (new Date()).getTime(): simpler (& faster?).
*"timer = null;" a bit later, as not needed earlier, fwiw.
*Nits.
Attachment #613466 - Flags: review- → review?(bzbarsky)
Comment on attachment 613466 [details] [diff] [review]
(Cv1) test_bug325418.js: Further improvements to reduce/diagnose random (too long delay) failures

That should all go in the checkin comment.
Attachment #613466 - Flags: review?(bzbarsky) → review-
(Assignee)

Comment 12

5 years ago
Comment on attachment 613464 [details] [diff] [review]
(Bv1) Convert test_bug325418.js file to LF end-of-lines, Fix nsITimer.idl documentation
[Checked in: Comment 12]

http://hg.mozilla.org/mozilla-central/rev/6fe5b0271cd1
Attachment #613464 - Attachment description: (Bv1) Convert test_bug325418.js file to LF end-of-lines, Fix nsITimer.idl documentation → (Bv1) Convert test_bug325418.js file to LF end-of-lines, Fix nsITimer.idl documentation [Checked in: Comment 12]
(Assignee)

Comment 13

5 years ago
Created attachment 613474 [details] [diff] [review]
(Cv1a) test_bug325418.js: Create separate observers, Initialize gStartTime[12] later, Use Date.now() instead of (new Date()).getTime(), "timer = null;" a bit later, Nits
[Checked in: Comment 17]

Cv1, with comment 8 suggestion(s).
Attachment #613466 - Attachment is obsolete: true
Attachment #613474 - Flags: review?(bzbarsky)
Comment on attachment 613474 [details] [diff] [review]
(Cv1a) test_bug325418.js: Create separate observers, Initialize gStartTime[12] later, Use Date.now() instead of (new Date()).getTime(), "timer = null;" a bit later, Nits
[Checked in: Comment 17]

r=me
Attachment #613474 - Flags: review?(bzbarsky) → review+
(In reply to Serge Gautherie (:sgautherie) from comment #12)
> Comment on attachment 613464 [details] [diff] [review]
> (Bv1) Convert test_bug325418.js file to LF end-of-lines, Fix nsITimer.idl
> documentation
> [Checked in: Comment 12]
> 
> http://hg.mozilla.org/mozilla-central/rev/6fe5b0271cd1

This was an inappropriate use of DONTBUILD.
(Assignee)

Comment 16

5 years ago
(In reply to Ms2ger from comment #15)
> This was an inappropriate use of DONTBUILD.

Why?
(Assignee)

Comment 17

5 years ago
Comment on attachment 613474 [details] [diff] [review]
(Cv1a) test_bug325418.js: Create separate observers, Initialize gStartTime[12] later, Use Date.now() instead of (new Date()).getTime(), "timer = null;" a bit later, Nits
[Checked in: Comment 17]

https://hg.mozilla.org/mozilla-central/rev/2374ebd5026f
Attachment #613474 - Attachment description: (Cv1a) test_bug325418.js: Create separate observers, Initialize gStartTime[12] later, Use Date.now() instead of (new Date()).getTime(), "timer = null;" a bit later, Nits → (Cv1a) test_bug325418.js: Create separate observers, Initialize gStartTime[12] later, Use Date.now() instead of (new Date()).getTime(), "timer = null;" a bit later, Nits [Checked in: Comment 17]
(Assignee)

Comment 18

5 years ago
Though I could tweak code order a bit again to reduce actual delay a bit more,
this test looks fine as it is now wrt its code.

V.Fixed, wrt that.

*****

(In reply to Serge Gautherie (:sgautherie) from comment #7)
> I wonder whether it's a (random) box (slowness) issue :-|

Still happening (as I expected :-|):

http://tinderbox.mozilla.org/showlog.cgi?log=ThunderbirdTrunk/1334080146.1334085169.24313.gz
MacOSX 10.6 comm-central test xpcshell on 2012/04/10 10:49:06
s: tb2-darwin10-slave62
{
TEST-UNEXPECTED-FAIL | /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js | 2 == 1 - See following stack:

JS frame :: /builds/slave/comm-central-macosx64-opt-unittest-xpcshell/build/xpcshell/tests/xpcom/tests/unit/test_bug325418.js :: observeTC2 :: line 39
}

If someone wants to investigate the specific issue of these TB on OSX 10.6 builds,
please file a follow-up bug.
(Assignee)

Updated

5 years ago
Status: RESOLVED → VERIFIED
Comment on attachment 610850 [details] [diff] [review]
(Av1) Fix multiple issues in test_bug325418.js
[Checked in: Comments 3 and 19]

http://hg.mozilla.org/releases/mozilla-aurora/rev/4c7f697b3697
Attachment #610850 - Attachment description: (Av1) Fix multiple issues in test_bug325418.js [Checked in: Comment 3] → (Av1) Fix multiple issues in test_bug325418.js [Checked in: Comments 3 and 19]
(Assignee)

Updated

5 years ago
status-firefox13: affected → fixed
(Assignee)

Updated

5 years ago
Whiteboard: [c-n: da0d07b5ca1e to m-a and m-b] [orange] → [c-n: da0d07b5ca1e to m-b] [orange]
(Assignee)

Comment 20

5 years ago
Missed Gecko 12 :-|
status-firefox12: affected → wontfix
Keywords: checkin-needed
Whiteboard: [c-n: da0d07b5ca1e to m-b] [orange] → [orange]
Keywords: intermittent-failure
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.